%define name akpi
%define version 0.4
%define release %mkrel 8

Name: %{name}
Summary: ACPI frontend for KDE
Version: %{version}
Release: %{release}
Group: Graphical desktop/KDE
Source0: http://akpi.scmd.at/files/%{name}-%{version}.tar.bz2
Source1: %{name}-icon-16.png
Source2: %{name}-icon-32.png
Source3: %{name}-icon-48.png
Url: http://akpi.scmd.at/
BuildRoot: %{_tmppath}/%{name}-buildroot 
BuildRequires: kdelibs-devel
BuildRequires: arts
BuildRequires: chrpath
License: GPL

%description
aKpi provides a simple GUI frontend for acpi. It makes heavy use of the
QT library and is able to dock into your KDE panel.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q 

%build

./configure \
%if "%{_lib}" != "lib"
    --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%endif

%make

%install
%makeinstall

# menu
install %{SOURCE1} -D -m 644 $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install %{SOURCE2} -D -m 644 $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install %{SOURCE3} -D -m 644 $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -d $RPM_BUILD_ROOT%{_menudir}

cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}): command="akpi" \
needs="X11" section="System/Monitoring" title="Akpi" icon="%{name}.png" \
longtitle="A small application to monitor your battery with the ACPI" \
xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Qt" \
  --add-category="X-MandrivaLinux-System-Monitoring" \
  --add-category="System" \
  --add-category="Monitor" \
  --dir $RPM_BUILD_ROOT%_datadir/applnk/Utilities  $RPM_BUILD_ROOT%_datadir/applnk/Utilities/*

chrpath -d $RPM_BUILD_ROOT/%{_bindir}/akpi

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc AUTHORS
%dir %_defaultdocdir/HTML/en/%name
%_defaultdocdir/HTML/en/%name/*
%{_bindir}/akpi
%dir %{_datadir}/apps/%{name}
%{_datadir}/apps/%{name}/
%_datadir/applnk/Utilities/*
%{_iconsdir}/locolor/*/apps/*.png
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png



%changelog
* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0.4-8mdv2008.1
+ Revision: 135819
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - import akpi


* Mon Sep 04 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.4-8mdv2007.0
- XDG

* Wed Jun 28 2006 Lenny Cartier <lenny@mandriva.com> 0.4-7mdv2007.0
- rebuild

* Mon Mar 06 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.4-6mdk
- Fix configure for x86_64

* Thu Jan 05 2006 Lenny Cartier <lenny@mandriva.com> 0.4-5mdk
- rebuild

* Fri Jul 16 2004 Michael Scherer <misc@mandrake.org> 0.4-4mdk 
- rebuild for new gcc

* Tue May 04 2004 Michael Scherer <misc@mandrake.org> 0.4-3mdk 
- rebuild
- [DIRM]
- clean BuildRequires
- rpmlint warning

* Sat May 03 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.4-2mdk
- typo in description (Thx olivierb)
- fix buildrequires

* Wed Apr 30 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.4-1mdk
- 0.4
- fix buildrequires
 
* Sun Dec 29 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.3.4-1mdk
- 0.3.4
- Buildrequires: kdelibs
- fix permission on files

* Fri Nov 29 2002 Laurent Culioli <laurent@pschit.net> 0.3.3-2mdk
- really drop patch0
- from Michael Scherer <scherer.michael@free.fr> :
	-menuification

* Wed Nov 27 2002 Laurent Culioli <laurent@pschit.net> 0.3.3-1mdk
- 0.3.3

* Wed Nov 20 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.3.2-1mdk
- from Michael Scherer <scherer.michael@free.fr> : 
	- adapted to Mandrake Linux 9.0

* Sun Jun 23 2002 Gerald Teschl <gt@esi.ac.at> 0
- inital spec

